NE_BUFFER_CREATE(3)

NAME
ne_buffer_create, ne_buffer_ncreate - create a string buffer

SYNOPSIS

#include <ne_alloc.h>

ne_buffer *ne_buffer_create(void);

ne_buffer *ne_buffer_ncreate(size_t size);

DESCRIPTION

ne_buffer_create creates a new buffer object, with an implementation-defined initial size. ne_buffer_ncreate creates an ne_buffer where the minimum initial size is given in the size parameter. The buffer created will contain the empty string ("").

RETURN VALUE

Both functions return a pointer to a new buffer object, and never NULL.

SEE ALSO

ne_buffer

COPYRIGHT
Copyright © 2001-2025 Joe Orton